Package com.thaiopensource.relaxng.pattern

## Class MyRequiredElementsFunction

- java.lang.Object
- - com.thaiopensource.relaxng.pattern.MyRequiredElementsFunction

    public class MyRequiredElementsFunction
    extends Object

### Constructor Summary

Constructors
`MyRequiredElementsFunction​(Set<String> requiredElementNames)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Void` `caseAfter​(com.thaiopensource.relaxng.pattern.AfterPattern p)`
`T` `caseAttribute​(com.thaiopensource.relaxng.pattern.AttributePattern arg0)`
`Void` `caseChoice​(com.thaiopensource.relaxng.pattern.ChoicePattern p)`
`T` `caseData​(com.thaiopensource.relaxng.pattern.DataPattern arg0)`
`T` `caseDataExcept​(com.thaiopensource.relaxng.pattern.DataExceptPattern arg0)`
`Void` `caseElement​(com.thaiopensource.relaxng.pattern.ElementPattern p)`
`T` `caseEmpty​(com.thaiopensource.relaxng.pattern.EmptyPattern arg0)`
`T` `caseError​(com.thaiopensource.relaxng.pattern.ErrorPattern arg0)`
`Void` `caseGroup​(com.thaiopensource.relaxng.pattern.GroupPattern p)`
`Void` `caseInterleave​(com.thaiopensource.relaxng.pattern.InterleavePattern p)`
`T` `caseList​(com.thaiopensource.relaxng.pattern.ListPattern arg0)`
`T` `caseNotAllowed​(com.thaiopensource.relaxng.pattern.NotAllowedPattern arg0)`
`Void` `caseOneOrMore​(com.thaiopensource.relaxng.pattern.OneOrMorePattern p)`
`Void` `caseOther​(com.thaiopensource.relaxng.pattern.Pattern p)`
`T` `caseRef​(com.thaiopensource.relaxng.pattern.RefPattern arg0)`
`T` `caseText​(com.thaiopensource.relaxng.pattern.TextPattern arg0)`
`T` `caseValue​(com.thaiopensource.relaxng.pattern.ValuePattern arg0)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MyRequiredElementsFunction

    public MyRequiredElementsFunction​(Set<String> requiredElementNames)

### Method Detail

#### caseOther

    public Void caseOther​(com.thaiopensource.relaxng.pattern.Pattern p)

#### caseElement

    public Void caseElement​(com.thaiopensource.relaxng.pattern.ElementPattern p)

#### caseGroup

    public Void caseGroup​(com.thaiopensource.relaxng.pattern.GroupPattern p)

#### caseChoice

    public Void caseChoice​(com.thaiopensource.relaxng.pattern.ChoicePattern p)

#### caseInterleave

    public Void caseInterleave​(com.thaiopensource.relaxng.pattern.InterleavePattern p)

#### caseAfter

    public Void caseAfter​(com.thaiopensource.relaxng.pattern.AfterPattern p)

#### caseOneOrMore

    public Void caseOneOrMore​(com.thaiopensource.relaxng.pattern.OneOrMorePattern p)

#### caseEmpty

    public T caseEmpty​(com.thaiopensource.relaxng.pattern.EmptyPattern arg0)

#### caseNotAllowed

    public T caseNotAllowed​(com.thaiopensource.relaxng.pattern.NotAllowedPattern arg0)

#### caseError

    public T caseError​(com.thaiopensource.relaxng.pattern.ErrorPattern arg0)

#### caseAttribute

    public T caseAttribute​(com.thaiopensource.relaxng.pattern.AttributePattern arg0)

#### caseData

    public T caseData​(com.thaiopensource.relaxng.pattern.DataPattern arg0)

#### caseDataExcept

    public T caseDataExcept​(com.thaiopensource.relaxng.pattern.DataExceptPattern arg0)

#### caseValue

    public T caseValue​(com.thaiopensource.relaxng.pattern.ValuePattern arg0)

#### caseText

    public T caseText​(com.thaiopensource.relaxng.pattern.TextPattern arg0)

#### caseList

    public T caseList​(com.thaiopensource.relaxng.pattern.ListPattern arg0)

#### caseRef

    public T caseRef​(com.thaiopensource.relaxng.pattern.RefPattern arg0)